CppDialog Class Reference

A C++ binding for the C module GWEN_DIALOG. More...

`#include <cppdialog.hpp>`

## Public Member Functions

| CppDialog (GWEN_DIALOG *dlg)
GWEN_DIALOG * | getCInterface ()
virtual | ~CppDialog ()

## Static Public Member Functions

static CPPGUI_API CppDialog * | getDialog (GWEN_DIALOG *dlg)

## Protected Member Functions

| CppDialog ()
int | emitSignal (GWEN_DIALOG_EVENTTYPE t, const char *sender)
GWEN_WIDGET * | findWidgetByImplData (int index, void *ptr)
GWEN_WIDGET * | findWidgetByName (const char *name)
virtual const char * | getCharProperty (GWEN_WIDGET *w, GWEN_DIALOG_PROPERTY prop, int index, const char *defaultValue)
virtual int | getIntProperty (GWEN_WIDGET *w, GWEN_DIALOG_PROPERTY prop, int index, int defaultValue)
GWEN_WIDGET_TREE * | getWidgets () const
virtual int | setCharProperty (GWEN_WIDGET *w, GWEN_DIALOG_PROPERTY prop, int index, const char *value, int doSignal)
virtual int | setIntProperty (GWEN_WIDGET *w, GWEN_DIALOG_PROPERTY prop, int index, int value, int doSignal)

## Protected Attributes

GWEN_DIALOG * | _dialog

## Friends

class | CppDialogLinker

## Detailed Description

A C++ binding for the C module GWEN_DIALOG.

This class simply is a C++ binding for the C module GWEN_DIALOG. It redirects C callbacks used by GWEN_DIALOG to virtual functions in this class.

Author
  Martin Preussmarti.nosp@m.n@aq.nosp@m.uaman.nosp@m.iac..nosp@m.de

Definition at line 32 of file cppdialog.hpp.

## Constructor & Destructor Documentation

## CppDialog() [1/2]

CppDialog | ( | GWEN_DIALOG * | dlg | ) |

Referenced by getDialog().

## ~CppDialog()

virtual ~CppDialog | ( |  | ) |

virtual

## CppDialog() [2/2]

CppDialog | ( |  | ) |

protected

## Member Function Documentation

## emitSignal()

int emitSignal | ( | GWEN_DIALOG_EVENTTYPE | t,
|  | const char * | sender )

protected

## findWidgetByImplData()

GWEN_WIDGET * findWidgetByImplData | ( | int | index,
|  | void * | ptr )

protected

## findWidgetByName()

GWEN_WIDGET * findWidgetByName | ( | const char * | name | ) |

protected

## getCharProperty()

virtual const char * getCharProperty | ( | GWEN_WIDGET * | w,
|  | GWEN_DIALOG_PROPERTY | prop,
|  | int | index,
|  | const char * | defaultValue )

protected virtual

## getCInterface()

GWEN_DIALOG * getCInterface | ( |  | ) |

## getDialog()

CPPGUI_API CppDialog * getDialog | ( | GWEN_DIALOG * | dlg | ) |

static

References CppDialog().

## getIntProperty()

virtual int getIntProperty | ( | GWEN_WIDGET * | w,
|  | GWEN_DIALOG_PROPERTY | prop,
|  | int | index,
|  | int | defaultValue )

protected virtual

## getWidgets()

GWEN_WIDGET_TREE * getWidgets | ( |  | ) | const

protected

## setCharProperty()

virtual int setCharProperty | ( | GWEN_WIDGET * | w,
|  | GWEN_DIALOG_PROPERTY | prop,
|  | int | index,
|  | const char * | value,
|  | int | doSignal )

protected virtual

## setIntProperty()

virtual int setIntProperty | ( | GWEN_WIDGET * | w,
|  | GWEN_DIALOG_PROPERTY | prop,
|  | int | index,
|  | int | value,
|  | int | doSignal )

protected virtual

## Friends And Related Symbol Documentation

## CppDialogLinker

friend class CppDialogLinker

friend

Definition at line 33 of file cppdialog.hpp.

References CppDialogLinker.

Referenced by CppDialogLinker.

## Field Documentation

## _dialog

GWEN_DIALOG* _dialog

protected

Definition at line 50 of file cppdialog.hpp.

The documentation for this class was generated from the following file:

- cppdialog.hpp